; PIC16F88 fW^xv

    include "P16F88.INC"
    __config _CONFIG1,_MCLR_OFF & _LVP_OFF & _INTRC_IO & _CP_OFF & _WDT_OFF & _PWRTE_OFF

    ; oNG[([jO)}
    errorlevel      -.302

	radix	dec		; ȗ̐l\POiɂ܂B




	COUNT		EQU	20H
	COUNT1		EQU	21H
	COUNT10		EQU	22H
	SUUTI1		EQU	23H
	SUUTI10		EQU	24H
	KURAI1		EQU	25H
	KURAI10		EQU	26H
	T1		EQU	27H
	T2		EQU	28H
	SAI1		EQU	29H
	SAI2		EQU	2AH
	SAI3		EQU	2BH
	SAI4		EQU	2CH
	SAI5		EQU	2DH
	SAI6		EQU	2EH



	ORG	000H	
;-------------------------------------------------------------------------

	;- Oscillater ----
    bsf     STATUS,RP0     ; Bank 1

    movlw   B'01100100'    ; InterOsc 4 Mhz
    movwf   OSCCON

    ;- Analog Port ----
    movlw   B'00000100'		; RA2
    movwf   ANSEL

    bcf     STATUS,RP0     ; Bank 0

    ;- I/O ݒ ----
    ; PORTA
    ;    7  	SAIKOROD
    ;    6  	SAIKOROC 
    ;    5 	
    ;    4	SAIKOROB   
    ;    3 	SAIKOROA 
    ;    2   IN  AN2
    ;    1   OUT "10"
    ;    0   OUT "1"
    ; PORTB
    ;    7   
    ;    6   OUT g
    ;    5   OUT f
    ;    4   OUT e
    ;    3   OUT d
    ;    2   OUT c
    ;    1   OUT b
    ;    0   OUT a

    bsf     STATUS,RP0     ; Bank 1

    movlw   B'00000100'    ; PORTA:2 Input(AN2)
    movwf   TRISA
    movlw   B'00000000'    ; PORTB:0-7 Output
    movwf   TRISB

    ; OPTION_REG
    ;    7   0 PORTB Pull-ups
    ;    6   0 Interrupt on falling egde
    ;    5   0 TMR0 Clock source internal
    ;    4   0 TMR0 Increment on low-to-high
    ;    3   0 Use TMR0
    ;    2-0 010 TMR0 Rate 1:8
    ;        011 TMR0 Rate 1:16
    ;        100 TMR0 Rate 1:32
    ;        111 TMR0 Rate 1:256
    ;movlw   B'10001000'
    ;movwf   OPTION_REG

    ;- A/D Convert ----
    ; ADCON1
    ;    7   0 Left justified
    ;        1 Right justified
    ;    6   0 A/D Clock Divide Disable
    ;    5,4 00 Vref+=AVdd, Vref-=AVss
    ;        10 Vref+=RA3, Vref-=AVss
    movlw   B'01000000'           
    movwf   ADCON1
    bcf     STATUS,RP0     ; Bank 0


MAIN0
	MOVLW	D'1'	;SAIKORO
	MOVWF	SAI1	;
	MOVLW	D'2'	;
	MOVWF	SAI2	;	
	MOVLW	D'3'	;
	MOVWF	SAI3	;	
	MOVLW	D'4'	;
	MOVWF	SAI4	;
	MOVLW	D'5'	;
	MOVWF	SAI5	;
	MOVLW	D'6'	;	
	MOVWF	SAI6	;

MAIN

    ;ADCON0
    ;    7-6 01 Fosc/8
    ;    5-3 000 RA0
    ;    2   1 GO
    ;    1   0 -
    ;    0   1 A/D Operating
	MOVLW	b'01010001'    ; AN2 (ch2)
	MOVWF	ADCON0
	CALL	HYOUZI
	CALL	HYOUZI
	CALL	HYOUZI
	CALL	HYOUZI

	BSF	ADCON0,GO

MAIN1
	BTFSC	ADCON0,GO
	GOTO	MAIN2
	GOTO	MAIN3

MAIN2
	CALL	HYOUZI
	GOTO	MAIN1

MAIN3
	MOVF	ADRESH,W
	MOVWF	COUNT

	MOVF	ADRESH,W
	MOVWF	COUNT1

	MOVF	ADRESH,W
	MOVWF	COUNT10	

MAIN4
	CALL	TABLE1
	MOVWF	SUUTI1
	CALL	HYOUZI

	INCF	COUNT1,F
	MOVLW	D'250'
	SUBWF	COUNT1,W
	BTFSC	STATUS,C
	GOTO	MAIN

	CALL	TABLE10
	MOVWF	SUUTI10
	CALL	HYOUZI

	INCF	COUNT10,F
	MOVLW	D'250'
	SUBWF	COUNT10,W
	BTFSC	STATUS,C
	GOTO	MAIN

	DECFSZ	COUNT,F	
	GOTO	MAIN4
	MOVF	SUUTI1,W
	MOVWF	KURAI1
	MOVF	SUUTI10,W
	MOVWF	KURAI10

	CALL	TM2

SAIKORO

SAIPTN6
	DECFSZ	SAI6,F
	GOTO	SAIPTN5
	BCF	PORTA,3
	BSF	PORTA,4
	BSF	PORTA,6
	BSF	PORTA,7
	GOTO	MAIN0	
	
SAIPTN5
	DECFSZ	SAI5,F
	GOTO	SAIPTN4
	BSF	PORTA,3
	BSF	PORTA,4
	BSF	PORTA,6
	BCF	PORTA,7
	GOTO	MAIN

SAIPTN4
	DECFSZ	SAI4,F
	GOTO	SAIPTN3
	BCF	PORTA,3
	BSF	PORTA,4
	BSF	PORTA,6
	BCF	PORTA,7
	GOTO	MAIN

SAIPTN3
	DECFSZ	SAI3,F
	GOTO	SAIPTN2
	BSF	PORTA,3
	BCF	PORTA,4
	BSF	PORTA,6
	BCF	PORTA,7
	GOTO	MAIN

SAIPTN2
	DECFSZ	SAI2,F
	GOTO	SAIPTN1
	BCF	PORTA,3
	BSF	PORTA,4
	BCF	PORTA,6
	BCF	PORTA,7
	GOTO	MAIN

SAIPTN1
	DECFSZ	SAI1,F
	GOTO	MAIN
	BSF	PORTA,3
	BCF	PORTA,4
	BCF	PORTA,6
	BCF	PORTA,7
	GOTO	MAIN



TM1
	MOVLW	D'250'
	MOVWF	T1
TMLOOP1
	CALL	HYOUZI
	DECFSZ	T1,F
	GOTO	TMLOOP1
	RETURN

TM2
	MOVLW	D'10'
	MOVWF	T2
TMLOOP2
	CALL	TM1
	DECFSZ	T2,F
	GOTO	TMLOOP2
	RETURN






HYOUZI
	BCF	PORTA,1
	CLRF	PORTB
	BSF	PORTA,0
	MOVF	KURAI1,W
	MOVWF	PORTB
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	BCF	PORTA,0
	CLRF	PORTB
	BSF	PORTA,1
	MOVF	KURAI10,W
	MOVWF	PORTB
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	NOP
	RETURN




	ORG	0x100
TABLE1
	MOVLW	H'01'
	MOVWF	PCLATH	; e[u 0x100`0x1FFԒnɑ	
	ANDLW	B'11111111'

	MOVF	COUNT1,W
	ADDWF	PCL,F

	RETLW	B'00111111'	;0	0
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	1
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	2
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	3
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	4
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	5
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	6
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	7
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	8
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	9
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	A
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	B
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	C
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	D
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	E
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9
	RETLW	B'01110111'	;A
	RETLW	B'01111100'	;B
	RETLW	B'01011000'	;C
	RETLW	B'01011110'	;D
	RETLW	B'01111001'	;E
	RETLW	B'01110001'	;F

	RETLW	B'00111111'	;0	F
	RETLW	B'00000110'	;1
	RETLW	B'01011011'	;2
	RETLW	B'01001111'	;3
	RETLW	B'01100110'	;4
	RETLW	B'01101101'	;5	
	RETLW	B'01111101'	;6
	RETLW	B'00100111'	;7
	RETLW	B'01111111'	;8	
	RETLW	B'01101111'	;9

	ORG	0x200
TABLE10
	MOVLW	H'02'
	MOVWF	PCLATH	; e[u 0x200`0x2FFԒnɑ	
	ANDLW	B'11111111'	
		
	MOVF	COUNT10,W
	ADDWF	PCL,F

	RETLW	B'00111111'	;0	0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0
	RETLW	B'00111111'	;0

	RETLW	B'00000110'	;1	1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1
	RETLW	B'00000110'	;1

	RETLW	B'01011011'	;2	2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2
	RETLW	B'01011011'	;2

	RETLW	B'01001111'	;3	3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3	
	RETLW	B'01001111'	;3

	RETLW	B'01100110'	;4	4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4
	RETLW	B'01100110'	;4

	RETLW	B'01101101'	;5	5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5
	RETLW	B'01101101'	;5

	RETLW	B'01111101'	;6	6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6	
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6	
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6	
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6
	RETLW	B'01111101'	;6

	RETLW	B'00100111'	;7	7
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7
	RETLW	B'00100111'	;7	
	RETLW	B'00100111'	;7

	RETLW	B'01111111'	;8	8
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8
	RETLW	B'01111111'	;8	
	RETLW	B'01111111'	;8

	RETLW	B'01101111'	;9	9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9	
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9	
	RETLW	B'01101111'	;9	
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9	
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9
	RETLW	B'01101111'	;9		

	RETLW	B'01110111'	;A	A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A		
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A		
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A		
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	
	RETLW	B'01110111'	;A	

	RETLW	B'01111100'	;B	B	
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B		
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B
	RETLW	B'01111100'	;B
	RETLW	B'01111100'	;B		
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B		
	RETLW	B'01111100'	;B	
	RETLW	B'01111100'	;B
	RETLW	B'01111100'	;B

	RETLW	B'01011000'	;C	C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C	
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C	
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C	
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C
	RETLW	B'01011000'	;C

	RETLW	B'01011110'	;D	D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D	
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D	
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D	
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D
	RETLW	B'01011110'	;D

	RETLW	B'01111001'	;E	E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E	
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E	
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E	
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E
	RETLW	B'01111001'	;E

	RETLW	B'01110001'	;F	F
	RETLW	B'01110001'	;F
	RETLW	B'01110001'	;F	
	RETLW	B'01110001'	;F
	RETLW	B'01110001'	;F	
	RETLW	B'01110001'	;F
	RETLW	B'01110001'	;F	
	RETLW	B'01110001'	;F
	RETLW	B'01110001'	;F	
	RETLW	B'01110001'	;F



	END